Skip to main content
POST
/
currencies
Add currency
curl --request POST \
  --url https://gateway.varchev.com/wallet/currencies \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'tenantId: <tenantid>' \
  --data '
{
  "name": "<string>",
  "type": "fiat",
  "decimal": 123,
  "max_value": 123,
  "aliases": [
    {
      "name": "<string>",
      "shortname": "<string>",
      "scale": 123,
      "sign": "<string>",
      "picture": "<string>",
      "default": true,
      "ownerId": "<string>"
    }
  ],
  "blockchain": {
    "name": "<string>",
    "type": "test",
    "users": "persons",
    "walletTypes": "dex",
    "definition": {
      "ownerId": "<string>",
      "data": [
        {
          "ownerId": "<string>",
          "name": "<string>",
          "type": 123,
          "value": "<string>"
        }
      ]
    }
  }
}
'
{
  "id": {
    "tenantId": "<string>",
    "entityId": {
      "id": "2cdc8ab1-6d50-49cc-ba14-54e4ac7ec231"
    },
    "auditData": {
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "deletedAt": "2023-11-07T05:31:56Z",
      "archivedAt": "2023-11-07T05:31:56Z",
      "createdBy": "<string>",
      "updatedBy": "<string>",
      "deletedBy": "<string>"
    }
  },
  "name": "<string>",
  "type": "fiat",
  "decimal": 123,
  "max_value": 123,
  "aliases": [
    {
      "id": {
        "tenantId": "<string>",
        "entityId": {
          "id": "2cdc8ab1-6d50-49cc-ba14-54e4ac7ec231"
        },
        "auditData": {
          "createdAt": "2023-11-07T05:31:56Z",
          "updatedAt": "2023-11-07T05:31:56Z",
          "deletedAt": "2023-11-07T05:31:56Z",
          "archivedAt": "2023-11-07T05:31:56Z",
          "createdBy": "<string>",
          "updatedBy": "<string>",
          "deletedBy": "<string>"
        }
      },
      "name": "<string>",
      "shortname": "<string>",
      "scale": 123,
      "sign": "<string>",
      "picture": "<string>",
      "default": true,
      "ownerId": "<string>"
    }
  ],
  "blockchain": {
    "id": {
      "tenantId": "<string>",
      "entityId": {
        "id": "2cdc8ab1-6d50-49cc-ba14-54e4ac7ec231"
      },
      "auditData": {
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z",
        "deletedAt": "2023-11-07T05:31:56Z",
        "archivedAt": "2023-11-07T05:31:56Z",
        "createdBy": "<string>",
        "updatedBy": "<string>",
        "deletedBy": "<string>"
      }
    },
    "name": "<string>",
    "type": "test",
    "users": "persons",
    "walletTypes": "dex",
    "definition": {
      "id": {
        "tenantId": "<string>",
        "entityId": {
          "id": "2cdc8ab1-6d50-49cc-ba14-54e4ac7ec231"
        },
        "auditData": {
          "createdAt": "2023-11-07T05:31:56Z",
          "updatedAt": "2023-11-07T05:31:56Z",
          "deletedAt": "2023-11-07T05:31:56Z",
          "archivedAt": "2023-11-07T05:31:56Z",
          "createdBy": "<string>",
          "updatedBy": "<string>",
          "deletedBy": "<string>"
        }
      },
      "ownerId": "<string>",
      "data": [
        {
          "id": {
            "tenantId": "<string>",
            "entityId": {
              "id": "2cdc8ab1-6d50-49cc-ba14-54e4ac7ec231"
            },
            "auditData": {
              "createdAt": "2023-11-07T05:31:56Z",
              "updatedAt": "2023-11-07T05:31:56Z",
              "deletedAt": "2023-11-07T05:31:56Z",
              "archivedAt": "2023-11-07T05:31:56Z",
              "createdBy": "<string>",
              "updatedBy": "<string>",
              "deletedBy": "<string>"
            }
          },
          "name": "<string>",
          "value": "<string>"
        }
      ]
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.varchev.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

tenantId
string
required

Tenant Id

Body

application/json
name
string
required
type
enum<string>
required
Available options:
fiat,
crypto
decimal
number
required
max_value
number
required
aliases
object[]
required
blockchain
object
required

Response

201 - application/json

Add currency

id
object
required
name
string
required
type
enum<string>
required
Available options:
fiat,
crypto
decimal
number
required
max_value
number
required
aliases
object[]
required
blockchain
object
required